import { PublicKey } from "@solana/web3.js";
import { PROGRAM_ID } from "./constants";
import * as anchor from "@coral-xyz/anchor";
export function emissionDistributorKey(rndrMint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        anchor.utils.bytes.utf8.encode("rndr_distributor"),
        rndrMint.toBuffer(),
    ], programId);
}
export const CLOCKWORK_PID = new PublicKey("CLoCKyJ6DXBJqqu2VWx9RLbgnwwR6BMHHuyasVmfMzBh");
export function threadKey(authority, threadId = "mint_rndr", programId = CLOCKWORK_PID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("thread", "utf8"),
        authority.toBuffer(),
        Buffer.from(threadId, "utf8"),
    ], programId);
}
//# sourceMappingURL=pdas.js.map